Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.interfacce
Interface GestioneOfferta

All Known Implementing Classes:
  OfferManager

    public interface GestioneOfferta

L'interfaccia è implementata dalla classe `OfferManager` le cui istanze rendono possibile la modifica dell'archivio pacchetti l'esportazione su file delle prenotazioni (Pacchetti/Voli),e la rimozione di voli

Method Summary
`boolean` | `exportPrenotation(java.lang.String nome)` Esportazione prenotazioni (Pacchetto/Voli) su file
`boolean` | `modArchive(java.lang.String sigla)` Cancella il volo
`boolean` | `modArchive(java.lang.String nome, int numWeek, java.lang.String mod)` Modifica del pacchetto
`java.lang.String[]` | `showList()` Elenco Pacchetti/Voli

Method Detail

### showList

    java.lang.String[] showList()

  Elenco Pacchetti/Voli

  Returns:
    un array di stringhe contenete l'elenco

### modArchive

    boolean modArchive(java.lang.String sigla)
                       throws AlternativeFlightException

  Cancella il volo

  Parameters:
    `sigla` - sigla del volo da cancellare
  Returns:
    true se lo ha cancellatto
  Throws:
    `AlternativeFlightException` - se il volo ha delle prenotazioni

### modArchive

    boolean modArchive(java.lang.String nome,
                       int numWeek,
                       java.lang.String mod)
                       throws DoubleRoomFullException,
                              SingleRoomFullException

  Modifica del pacchetto

  Parameters:
    `nome` - nome del villaggio
    `numWeek` - numero della settimana da modificare
    `mod` - è una Stringa rappresentante la modifica (?;XXX): D(numDoppie)-X(PrezzoD)-S(numSuite)-Y(PrezzoS)-C(sequenza) ; String mod
  Returns:
    true se la modifica e' stata effettuata con successo
  Throws:
    `DoubleRoomFullException` - se le stanze doppie non sono disponibili
    `SingleRoomFullException` - se le stanze singole non sono disponibili

### exportPrenotation

    boolean exportPrenotation(java.lang.String nome)
                              throws java.io.FileNotFoundException

  Esportazione prenotazioni (Pacchetto/Voli) su file

  Parameters:
    `nome` - nome file di testo
  Returns:
    true se ha effettuato l'esportazione
  Throws:
    `java.io.FileNotFoundException` - se percorso erratto

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD